#include "formbox.h"
#include <QVBoxLayout>
#include <QToolButton>
#include "fields/intfieldwidget.h"
FormBox::FormBox(QWidget *parent) :
        QGroupBox(parent)
{


    mSearchLineEdit = new QLineEdit;
    mFieldListWidget = new FieldListWidget;
    mComboBox = new QComboBox;
    QHBoxLayout * hLayout = new QHBoxLayout;
    hLayout->addWidget(mSearchLineEdit);
    hLayout->addWidget(mComboBox);
    QVBoxLayout * layout = new QVBoxLayout;
    layout->addLayout(hLayout);
    layout->addWidget(mFieldListWidget);

    setLayout(layout);


    //setup combo
//    IntFieldWidget * temp = new IntFieldWidget;
//
//    QMapIterator<QString, QIcon> i(temp->statusMap());
//    while (i.hasNext()) {
//        i.next();
//        mComboBox->addItem(i.value(),i.key());
//    }


    connect(mSearchLineEdit,SIGNAL(textChanged(QString)),this,SLOT(filter(QString)));
}

void FormBox::filter(QString filter)
{


    for (int i=0; i<mFieldListWidget->topLevelItemCount(); i++) {
        QTreeWidgetItem *item = mFieldListWidget->topLevelItem( i );
        item->setHidden( true );
        if (item->text(0).contains(filter)) {
            item->setHidden( false );
        }

    }
}
