#include "querylistwidget.h"
#include <QToolBar>
#include <QAction>
#include <QVBoxLayout>
#include <QSqlQuery>
#include <QDebug>
#include "common/sqlhelper.h"
QueryListWidget::QueryListWidget(QWidget *parent) :
        QWidget(parent)
{

    mListWidget = new QListWidget;
    mLineEdit = new QLineEdit;
    mEditor = new QueryEditor;
    QToolBar * toolBar = new QToolBar;
    QVBoxLayout * layout = new QVBoxLayout;
    QAction * addAction = new QAction("add",this);
    QAction * delAction = new QAction("rem",this);
    QAction * editAction = new QAction("edit",this);

    toolBar->addAction(addAction);
    toolBar->addAction(editAction);
    toolBar->addAction(delAction);

    toolBar->addWidget(mLineEdit);

    layout->addWidget(toolBar);
    layout->addWidget(mListWidget);


    setLayout(layout);

    connect(addAction,SIGNAL(triggered()),this,SLOT(add()));
    connect(editAction,SIGNAL(triggered()),this,SLOT(edit()));
    connect(delAction,SIGNAL(triggered()),this,SLOT(del()));
    refresh();

}
void QueryListWidget::add()
{

    QueryEditor * editor = new QueryEditor;
    FormDialog * dialog = new FormDialog(editor);

    dialog->exec();

    refresh();


}

void QueryListWidget::edit()
{

    if ( mListWidget->selectedItems().count() <=0)
        return;
    int tableId = mListWidget->currentIndex().data(Qt::UserRole).toInt();

    QueryEditor * editor = new QueryEditor;
    FormDialog * dialog = new FormDialog(editor);
    editor->load(SqlHelper::record("requetes",tableId));
    dialog->resize(400,200);

    dialog->exec();
    refresh();
}


void QueryListWidget::del()
{

    foreach ( QListWidgetItem * item,mListWidget->selectedItems())
        SqlHelper::deleteRecord("requetes",item->data(Qt::UserRole).toInt());


    refresh();

}

const QString& QueryListWidget::currentQuery()
{



}

int QueryListWidget::currentQueryIndex()
{





}
void QueryListWidget::refresh()
{

    mListWidget->clear();
    QSqlQuery query("SELECT id, nom, query, commentaire FROM requetes");

    while ( query.next())
    {
        QSqlRecord record = query.record();
        QListWidgetItem * item = new QListWidgetItem;
        item->setText(record.value("nom").toString());
        item->setData(Qt::UserRole,record.value("id"));
        mListWidget->addItem(item);
    }




}


