#include "protocoletablewidget.h"
#include "form/protocoleform.h"
#include "form/formdialog.h"
ProtocoleTableWidget::ProtocoleTableWidget(QWidget *parent):
        AbstractTableWidget(parent)
{
    QSqlQueryModel * model = new QSqlQueryModel;
    model->setQuery("SELECT p.id,p.etat,p.nom,p.titre,p.code,pr.nom as 'Promoteur',"
                    "ph.nom as 'Phase', t.nom as 'Type', "
                    "p.numero_eudract, p.numero_chu, p.thematique, p.lien,p.duree_total "
                    "FROM protocoles p "
                    "LEFT JOIN promoteurs pr ON p.promoteur_id =pr.id "
                    "LEFT JOIN phases ph ON p.phase_id =ph.id "
                    "LEFT JOIN type_essaies t ON p.type_essaie_id =t.id");

    setModel(model);
}
void ProtocoleTableWidget::addRecord()
{

    ProtocoleForm * form =new ProtocoleForm;
    FormDialog * dialog = new FormDialog(form);
    dialog->exec();
    refresh();
}

void ProtocoleTableWidget::editRecord()
{

    ProtocoleForm * form =new ProtocoleForm;
    FormDialog * dialog = new FormDialog(form);
    SqlHelper sql("protocoles",this);
    form->load(sql.record(firstRecordSelected().value("id").toInt()));
    dialog->exec();
    refresh();


}

void ProtocoleTableWidget::deleteRecord()
{
    SqlHelper sql("protocoles",this);
    foreach ( QSqlRecord record, recordsSelected())
        sql.deleteRecord(record.value("id").toInt());
    refresh();

}
